运维开发网

在Ubuntu 18.04/16.04中安装PHP 7.3/7.2/7.1/7.0和PHP 7模块的方法

运维开发网 https://www.qedev.com 2021-01-15 20:16 出处:linux站 作者:六千美刀
本文介绍在Ubuntu 18.04/16.04操作系统中安装PHP 7.3、PHP 7.2、PHP 7.1、PHP 7.0和PHP 7模块的方法,目前7.3是最新的PHP版本,但是你想安装指定的PHP 7版本,本文对你非常的用,同时方法也适合U

本文介绍在Ubuntu 18.04/16.04操作系统中安装PHP 7.3、PHP 7.2、PHP 7.1、PHP 7.0和PHP 7模块的方法,目前7.3是最新的PHP版本,但是你想安装指定的PHP 7版本,本文对你非常的用,同时方法也适合Ubuntu 16.04系统,都是通过PPA源的方式安装。关于要使用哪个PHP版本,建议你读一下PHP 5.6已经停止安全更新,要升级到PHP 7.1、7.2或7.3版本文章。说明:使用命令方式安装的PHP 7版本多数情况下都不是最新版本,如果你需要安装最新的版本(目前最新版为:PHP 7.3.4、7.2.17、7.1.28),请自行下载源码包编译安装。

在Ubuntu 18.04/16.04中安装PHP 7.3/7.2/7.1/7.0和PHP 7模块的方法

 

安装PHP 7.3的命令

通过下面的命令安装PHP 7.3:

$ sudo apt-get install software-properties-common

$ sudo add-apt-repository ppa:ondrej/php

$ sudo apt-get update

$ sudo apt-get install -y php7.3

参考:在Ubuntu 18.04或CentOS 7系统上安装PHP 7.3。

安装完成后,使用以下命令检查安装的PHP版本:

$ php -v 

PHP 7.3.3-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Mar  7 2019 20:31:49) ( NTS )

Copyright (c) 1997-2018 The PHP Group

Zend Engine v3.3.3, Copyright (c) 1998-2018 Zend Technologies

with Zend OPcache v7.3.3-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

 

安装PHP 7.2的命令

通过以下命令安装PHP 7.2:

$ sudo apt-get install software-properties-common

$ sudo add-apt-repository ppa:ondrej/php

$ sudo apt-get update

$ sudo apt-get install -y php7.2

安装完成后,使用以下命令检查PHP版本:

$ php -v 

PHP 7.2.16-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Mar  7 2019 20:23:29) ( NTS )

Copyright (c) 1997-2018 The PHP Group

Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies

with Zend OPcache v7.2.16-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

 

安装PHP 7.1的命令

运行以下命令安装PHP 7.1:

$ sudo apt-get install software-properties-common

$ sudo add-apt-repository ppa:ondrej/php

$ sudo apt-get update

$ sudo apt-get install -y php7.1

安装完成后,使用以下命令检查PHP版本:

$ php -v 

PHP 7.1.27-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Mar  7 2019 20:02:25) ( NTS )

Copyright (c) 1997-2018 The PHP Group

Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies

with Zend OPcache v7.1.27-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

 

安装PHP 7.0的命令(目前已停止支持,如果无需要就不用安装这个版本了)

通过下面命令安装PHP 7.0:

$ sudo apt-get install software-properties-common

$ sudo add-apt-repository ppa:ondrej/php

$ sudo apt-get update

$ sudo apt-get install -y php7.0

安装完成后,使用如下命令检查PHP版本:

$ php -v 

PHP 7.0.33-5+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Mar  8 2019 09:49:15) ( NTS )

Copyright (c) 1997-2017 The PHP Group

Zend Engine v3.0.0, Copyright (c) 1998-2017 Zend Technologies

with Zend OPcache v7.0.33-5+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2017, by Zend Technologies

 

安装PHP 7模块的方法

使用sudo apt-cache search php7*命令来安装PHP 7模块:

$ sudo apt-cache search php7*

php-all-dev - package depending on all supported PHP development packages

php7.0 - server-side, HTML-embedded scripting language (metapackage)

php7.0-cgi - server-side, HTML-embedded scripting language (CGI binary)

php7.0-cli - command-line interpreter for the PHP scripting language

php7.0-common - documentation, examples and common module for PHP

php7.0-curl - CURL module for PHP

php7.0-dev - Files for PHP7.0 module development

php7.0-gd - GD module for PHP

php7.0-gmp - GMP module for PHP

...

...

...

php7.1-xml - DOM, SimpleXML, WDDX, XML, and XSL module for PHP

php7.1-xmlrpc - XMLRPC-EPI module for PHP

php7.1-zip - Zip module for PHP

php7.1-opcache - Zend OpCache module for PHP

php7.1 - server-side, HTML-embedded scripting language (metapackage)

php7.1-xsl - XSL module for PHP (dummy)

...

...

php7.2-bcmath - Bcmath module for PHP

php7.2-bz2 - bzip2 module for PHP

php7.2-cgi - server-side, HTML-embedded scripting language (CGI binary)

php7.2-cli - command-line interpreter for the PHP scripting language

php7.2-common - documentation, examples and common module for PHP

php7.2-curl - CURL module for PHP

php7.2-dba - DBA module for PHP

用以下命令,按需安装PHP扩展模块,安装之前,确保安装正确的PHP版本:

$ sudo apt-get install php7.2-mysql php7.2-curl php7.2-json php7.2-cgi php7.2-xsl

安装完成后,就可以使用PHP进行开发或搭载网站了,参考在Ubuntu 18.04 Server中安装LEMP的方法[Nginx、MariaDB、PHP7.2]。

 

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号